Implement a special page to show items with the most sitelinks
OpenPublic

Description

On a MediaWiki install we have special pages (https://www.wikidata.org/wiki/Special:SpecialPages) like Most linked-to pages and Pages with the most interwikis. The wikibase extension should add an extension for items with the most sitelinks.
Rough query:
SELECT ips_item_id, COUNT(ips_item_id) FROM wb_items_per_site GROUP by ips_item_id ORDER BY COUNT(ips_item_id) DESC LIMIT 100;


Version: unspecified
Severity: minor
URL: https://www.wikidata.org/wiki/Special:SpecialPages

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz46217.
Multichill created this task.Via LegacyMar 16 2013, 2:06 PM
Lydia_Pintscher added a comment.Via ConduitNov 4 2013, 2:59 PM

Maarten: You mean we should have such a special page on Wikidata? Or on the client (Wikipedia, Wikivoyage, Commons, ...)?

Multichill added a comment.Via ConduitNov 5 2013, 8:54 PM

I was thinking about Wikidata itself.

gerritbot added a comment.Via ConduitNov 11 2013, 10:14 PM

Change 94830 had a related patch set uploaded by Bene:
(bug 46217) Implement a special page to show items with the most sitelinks

https://gerrit.wikimedia.org/r/94830

daniel added a comment.Via ConduitDec 5 2013, 12:01 PM

The suggested patch needs to be changed to allow more efficient SQL (see bug 40157 and bug 58032).

gerritbot added a comment.Via ConduitJul 11 2014, 11:52 AM

Change 94830 abandoned by Bene:
(bug 46217) Implement a special page to show items with the most sitelinks

Reason:
this is not likely to get implemented this way

https://gerrit.wikimedia.org/r/94830

matej_suchanek added a subscriber: matej_suchanek.Via WebNov 24 2014, 2:42 PM
Lydia_Pintscher added a project: Wikidata.Via WebDec 1 2014, 2:53 PM
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Multichill claimed this task.Via WebDec 27 2014, 1:01 PM
Multichill set Security to None.

Looks like I worked on this months ago, I might as well finish it.

gerritbot added a project: Patch-For-Review.Via ConduitDec 27 2014, 5:58 PM

Change 181902 had a related patch set uploaded (by Multichill):
Implement a special page to show items with the most sitelinks

https://gerrit.wikimedia.org/r/181902

Patch-For-Review

Multichill added a comment.Via WebDec 27 2014, 6:09 PM

I took a different approach than Bene: I extended the standard QueryPage. Would appreciate input. If this approach works I plan to add some more special pages and maybe rewrite Special:unconnectedpages.

gerritbot added a subscriber: gerritbot.Via ConduitJan 28 2015, 5:59 AM

Change 181902 had a related patch set uploaded (by Siebrand):
Implement a special page to show items with the most sitelinks

https://gerrit.wikimedia.org/r/181902

Patch-For-Review

Lydia_Pintscher moved this task to needs discussion or investigation on the Wikidata workboard.Via WebMar 4 2015, 3:23 PM
Ricordisamoa added a subscriber: Ricordisamoa.Via WebJul 27 2015, 10:35 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptVia HeraldJul 27 2015, 10:35 AM
Lydia_Pintscher added a subscriber: Bene.Via WebFri, Aug 7, 5:46 PM
gerritbot added a comment.Via ConduitFri, Aug 7, 6:34 PM

Change 181902 abandoned by Multichill:
Implement a special page to show items with the most sitelinks

Reason:
Too frustrating, not going to invest time in this any more.

https://gerrit.wikimedia.org/r/181902

Multichill placed this task up for grabs.Via WebFri, Aug 7, 6:36 PM
Multichill added a subscriber: Ladsgroup.
Multichill removed a project: Patch-For-Review.

Abandoned. Too frustrating, not going to invest time in this any more. Up for grabs.

thiemowmde added a subscriber: thiemowmde.Via WebWed, Aug 19, 11:03 AM

The major problem with both patches is that they use COUNT and JOIN and GROUP BY. This does not scale well for such big tables. What we do now is to store the number of sitelinks per item in a "wb-sitelinks" page property (in the page_props table). pp_sortkey is a numeric field that can be accessed then, and possibly ordered (need to check this). This should already be deployed, as far as I know.

So whoever wants to pick this up, please pick one of the existing patches, reopen it and change the SQL query to query pp_sortkey in page_props instead.

gerritbot added a comment.Via ConduitWed, Aug 19, 3:19 PM

Change 181902 restored by JanZerebecki:
Implement a special page to show items with the most sitelinks

Reason:
Restoring to make it possible for Ricordisamoa to work on it.

https://gerrit.wikimedia.org/r/181902

Ricordisamoa added a comment.Via WebThu, Aug 20, 9:28 AM

With https://gerrit.wikimedia.org/r/232698 I explore a different approach: it would be possible to use something like https://www.wikidata.org/wiki/Special:PagesWithProp/wb-sitelinks?sortbyvalue=1.
The same would work with wb-claims, etc.

Ricordisamoa claimed this task.Via WebSat, Aug 22, 2:47 PM

Add Comment